Subject: Re: [2.6.25 patch] the planned eepro100 removal

From: David Acker <[email-masked]>
Date: Fri, 26 Oct 2007 09:42:00 -0400

Kok, Auke wrote:
> Jeff Garzik wrote:
>> Bill Davidsen wrote:
>>> Adrian Bunk wrote:
>>>> This patch contains the planned removal of the eepro100 driver.
>>>>
>>> Are the e100 people satisfied that e100 now handles all known cases? I 
>> Nope.  There are still e100 work outstanding that means we cannot kill
>> eepro100.
> 
> Agreed, there is still a receive unit hang in the last version that I got from
> David Acker.
> 
> Auke
Yes, I have not had much time to work on it.  :-(

In testing, I was also able to get crashes which I believe are from receive skb corruption.

It doesn't ever appear in our normal use testing, just when using pktgen against it while it uses pktgen out.  Sadly 
this has pushed it down the slippery priority slope.

I am sorry if I am holding things up.  I will try to put some more time in on this issue as soon as I can.

-Ack